<?php
error_reporting(0);
header("Content-type: text/xml; charset=utf-8");
function vvfox($id) {
	$url = "http://115.com/file/$id";
	$str = file_get_contents($url);
	preg_match('|url: "([^"]+)",|', $str, $ar);
	$ajurl = $ar[1];
	$linkurl = $url . $ajurl;
	$str2 = file_get_contents($linkurl);
	preg_match('|"client":2,"url":"([^"]+)","desc":|', $str2, $arr);
	$falsemusicurl = $arr[1];
	$musicurl = stripslashes($falsemusicurl);
	header("location:$musicurl");
}
if (isset ($_GET['id'])) {
	vvfox($_GET['id']);
}
?>